//import { Statics } from '@helpers/Statics';
import Link from 'next/link';

function Compitition(props) {
		let color = '#000';
		switch ( props.data.code ) {
			case 'PL':
				color = '#3d083e';
				break;
			case 'PD':
				color = '#e10b17';
				break;
			case 'FL1':
				color = '#d6ff24';
				break;
			case 'BL1':
				color = '#e01b24';
				break;
			case 'CL':
				color = '#370d6e';
				break;
			case 'SA':
				color = '#3584e4';
				break;
			case 'DED':
				color = '#99c1f1';
				break;
			case 'WC':
				color = '#6f082b';
				break;
			default:
				color = '#000000';
				break;
		}
		
		

		return (
				<>
								<Link href={"/match-day-card/"+props.data.code+"?matchday="+props.data.currentSeason.currentMatchday} key={props.key} className="canvas  w-[100px] h-[100px] m-[24px] sm:w-[200px] sm:h-[200px] sm:m-[4em]">
									<div className="canvas_border top-[16px] left-[-16px] sm:top-[40px] sm:left-[-40px]">
										<svg>
										<rect
											width="100%"
											height="100%"
											fill="none"
											stroke={color}
											strokeLinecap="square"
											strokeMiterlimit="30"
											strokeWidth="4"
										></rect>
									</svg>
									</div>
									<div className="canvas_img-wrapper">
										<img className="canvas_img w-[100px] h-[100px] sm:w-[200px] sm:h-[auto]" src={props.data.emblem} alt=""/>
									</div>
							</Link>
          </>
    );
}
export default Compitition;
